Bug 85425 - [bisected] Compiler error in clip control operations in meta
Summary: [bisected] Compiler error in clip control operations in meta
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Mesa core (show other bugs)
Version: git
Hardware: Other All
: medium normal
Assignee: mesa-dev
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-10-24 23:40 UTC by Jason Ekstrand
Modified: 2014-10-28 18:02 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Ekstrand 2014-10-24 23:40:27 UTC
This regresses about 150 piglit tests on my HSW.  One such test is spec/ARB_vertex_buffer_object/pos-array

85edaa8b72cea5cb20ead812cd3c793eb55209e6 is the first bad commit
commit 85edaa8b72cea5cb20ead812cd3c793eb55209e6
Author: Mathias Fröhlich <Mathias.Froehlich@gmx.net>
Date:   Thu Sep 25 19:39:31 2014 +0200

    mesa: Handle clip control in meta operations.
    
    Restore clip control to the default state if MESA_META_VIEWPORT
    or MESA_META_DEPTH_TEST is requested.
    
    v3:
    Handle clip control state with MESA_META_TRANSFORM.
    
    Reviewed-by: Brian Paul <brianp@vmware.com>
    Signed-off-by: Mathias Froehlich <Mathias.Froehlich@web.de>
Comment 1 Neil Roberts 2014-10-28 18:02:07 UTC
It looks like this has been fixed by this commit:

commit 3e462d9221191dc64444862614c1616a33691f67
Author: Ian Romanick <ian.d.romanick@intel.com>
Date:   Fri Oct 24 17:59:05 2014 -0700

    meta: Only use _mesa_ClipControl if the extension is supported
    
    Fixes many piglit failures on IVB since 85edaa8.
    
    Signed-off-by: Ian Romanick <ian.d.romanick@intel.com>
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=85425
    Reviewed-by: Jason Ekstrand <jason.ekstrand@intel.com>
    Cc: Mathias Fröhlich <Mathias.Froehlich@gmx.net>


bug/show.html.tmpl processed on Mar 25, 2017 at 07:48:02.
(provided by the Example extension).